Engagement Roll Forward Analysis - MindBridge Documentation
Engagement Roll Forward Analysis
POST Request
/v1/analyses/engagement-roll-forward
cURL Example
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "analysisId": "<string>",\n "targetEngagementId": "<string>",\n "interim": true\n}\n'
Python Example
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward"
payload = {
"analysisId": "<string>",
"targetEngagementId": "<string>",
"interim": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({analysisId: '<string>', targetEngagementId: '<string>', interim: true})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => json_encode([\
'analysisId' => '<string>',\
'targetEngagementId' => '<string>',\
'interim' => true\
]),\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"Content-Type: application/json"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward"
payload := strings.NewReader("{\n \"analysisId\": \"<string>\",\n \"targetEngagementId\": \"<string>\",\n \"interim\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java Example using Unirest
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"analysisId\": \"<string>\",\n \"targetEngagementId\": \"<string>\",\n \"interim\": true\n}")
.asString();
Ruby Example
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/analyses/engagement-roll-forward")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"analysisId\": \"<string>\",\n \"targetEngagementId\": \"<string>\",\n \"interim\": true\n}"
response = http.request(request)
puts response.read_body
Response Structure
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"entityId": "<string>",
"error": "<string>",
"errorMessage": "<string>"
}